jueves, 5 de julio de 2012

Instalar Java 7 desde repositorios

Por lo que he podido leer, la versión 7 de Java no aporta nada nuevo salvo cambiar los créditos de la difunta SUN por los de Oracle, pero cada cual es libre de tener sus ataques de versionitis y es posible que te apetezca instalarla. Es más, puede que la quieras instalar desde repositorios para tenerla siempre bien actualizada.


Pues la gente de Webupd8 nos ofrecen amablemente un repositorio PPA diseñado para que pueda trabajar con Debian y podamos instalar Oracle Java 7 (JDK7), lo que es posible porque Java no esta realmente en el repositorio, si no que en el se encuentra el instalador.

El proceso para instalar JDK7 empieza por agregar el repositorio a nuestro /etc/apt/sources.list. Por ejemplo, podemos editarlo como root con gedit

  • gksudo gedit  /etc/apt/sources.list
Tenemos que añadir las siguientes dos lineas
deb http://ppa.launchpad.net/webupd8team/java/ubuntu precise main
deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu precise main
Guardamos los cambios, y ahora vamos a instalar las claves publicas de este nuevo repositorio y  actualizar la información de los repositorios.
  • sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys EEA14886
  • sudo apt-get update
Y ya nos podemos lanzar a la instalación
  • sudo apt-get install oracle-java7-installer
Y ya tenemos Java en su versión más reciente

72 comentarios:

  1. Buenos dias!
    El manual me ha ayudado bastante, si no fuese por un pequeñito problema que he tenido al instalar esta version de java en mi Raspberry..Puedes ayudarme?
    dpkg: error processing oracle-java7-installer (--configure):
    subprocess installed post-installation script returned error exit status 128
    Errors were encountered while processing:
    oracle-java7-installer
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    ResponderEliminar
    Respuestas
    1. Si no estoy confundido, las Rasberry tienen arquitectura ARM y casi seguro que ese sea el problema.

      Eliminar
  2. Gracias pues llevo un tiempo con ubuntu y decidi moverme a debian y estaba un poco perdido

    ResponderEliminar
    Respuestas
    1. Gracias a ti por leerme. Bienvenido a Debian

      Eliminar
    2. Yo migré desde Windows 7 a Debian y con tres dias intensivos de aprendizaje ahora Debian me encanta xD

      Eliminar
    3. Hombre, yo no me hubiera dado tres días intensivos de aprendizaje, mejor tomárselo con calma y disfrutar.

      ¡Pero para gustos los colores!

      Eliminar
    4. Hombre, por que no tres dias intensivos, yo si que lo haría, hasta si se puede en 2 dias y mejor en 1; sería lo mejor.

      Eliminar
    5. y lo haría perfecto, más que ṕerfecto :D .

      Eliminar
    6. y por cierto, gracias por ek tutorial :D .

      Eliminar
    7. Las cosas buenas llevan su tiempo

      Eliminar
  3. instalando en SolusOS ..... y funcionando... gracias ;)

    ResponderEliminar
  4. Excelente compadre.. me funcionó de maravilla... mil gracias por el tutorial... Saludos desde chile!...

    ResponderEliminar
  5. Gracias gracias, me resulto de mucha ayuda

    ResponderEliminar
  6. Oye amigo soy nuevo y estoy un poco perdido, necesito que me ayudes en como tengo que agregar las lineas de repositorios al archivo sources list

    ResponderEliminar
    Respuestas
    1. Abres el fichero con sudo y tu editor favorito, por ejemplo sudo gedit o sudo nano
      Luego copias y pegas y tan contentos

      Eliminar
  7. Hola!! Excelente post! Pero al hacer todo, tengo un problema de dependencias incumplidas :(

    "oracle-java7-installer ya está en su versión más reciente.
    Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
    Los siguientes paquetes tienen dependencias incumplidas:
    icedtea-6-jre-cacao : Depende: openjdk-6-jre-headless (= 6b24-1.11.5-1)
    icedtea-6-jre-jamvm : Depende: openjdk-6-jre-headless (= 6b24-1.11.5-1)
    openjdk-6-jre-headless : Depende: openjdk-6-jre-lib (= 6b27-1.12.3-1) pero 6b24-1.11.5-1 va a ser instalado
    Recomienda: icedtea-6-jre-cacao (= 6b27-1.12.3-1) pero 6b24-1.11.5-1 va a ser instalado
    Recomienda: icedtea-6-jre-jamvm (= 6b27-1.12.3-1) pero 6b24-1.11.5-1 va a ser instalado
    E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución). "

    Me podrás ayudar??

    Muchas gracias por la colaboración.

    ResponderEliminar
    Respuestas
    1. Es que tienes icedtea, openjdk y jdk. Eliminalos todos e instala uno solo.

      Eliminar
    2. Hola!!!!

      Como hago para des instalar las versiones anteriores de java que tengo instaladas, por más que busco como des instalar, no lo logro, siempre hay una version.

      En terminal aparece esto:
      java version "1.5.0"
      gij (GNU libgcj) version 4.7.2

      Copyright (C) 2007 Free Software Foundation, Inc.
      This is free software; see the source for copying conditions. There is NO
      warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

      y al querer instalar el java 7, me da error. Ayuda!!

      Eliminar
  8. gracias


    atte b1xo@live.cl

    ResponderEliminar
    Respuestas
    1. Gracias a ti por pasarte por mi rinconcito de internet

      Eliminar
  9. pregunta: Se puede hacer lo mismo en debian?, gracias

    ResponderEliminar
  10. Hola,

    he instalado el paquete con apt-get y no me da ningún error. Aparentemente el ejecutable java existe, lo veo al listar el directorio, pero al ejecutar "java -version" me devuelve "No existe fichero o directorio"
    a que se debe esto ? gracias de ante mano por la ayuda!....

    ResponderEliminar
    Respuestas
    1. solucionado, gracias y para los que tengan el mismo problema vel el link http://blog.soluciones3f.com.ar/2013/01/18/oracle-java-jdk-7-en-debian-6-squeeze/ en donde aparece "update-alternatives --config java" que seria de gran ayuda cuando intalamos JRE por que estos link descargan JDK, gracias de todos modos por la ayuda proporcionada por los que publican estas informaciones que todos modos sirven como tranpolin a la salucion final de los problemas.

      Eliminar
    2. Gracias a ti por aportar la solución. Entre todos no hay problema que se nos resista

      Eliminar
  11. he seguido todos los pasos y al final me sale ¡ ¿Desea continuar S/n ? que debo hacer, de antemano gracias

    ResponderEliminar
    Respuestas
    1. No sabemos que esta preguntando antes de decirte si quieres continuar.
      Yo soy muy osado, diría que si sin pensar, pero claro, yo es que soy un bruto con debian.

      Eliminar
  12. excelente,muy bien explicado,gracias.

    ResponderEliminar
  13. Excelente tutorial, justo lo use para java 6 y de maravilla, gracias!

    ResponderEliminar
  14. gracias , estaba buscando uno que acertara y eltuyo logre instalarlo, muchas gracias

    ResponderEliminar
  15. Hola... ¿Me pueden ayudar es que es algo como muy complejo para mi? T-T

    ResponderEliminar
    Respuestas
    1. Cuentanos tu problema y veremos si te podemos ayudar.

      Eliminar
  16. Hola, la instalación esta todo bien, pero no me instala el jdk, quiero instalar Tomcat6 no me esta pidiendo el jdk. Como puedo solucionarlo??.

    Gracias

    ResponderEliminar
    Respuestas
    1. No entiendo, si quieres instalar Tomcat, ¿que tiene que ver jdk?

      Eliminar
  17. Muchas gracias, tus tutos tambien me sirven un montón para ubuntu.
    Saludos! y sigue asi!

    ResponderEliminar
    Respuestas
    1. Ubuntu no deja de ser hijo de Debian, así que la mayoria de las cosas funcionan sin problemas.

      Eliminar
  18. Hola, he tratado de instalar en tres ocasiones ocurre:

    gpg: solicitando clave EEA14886 de hkp servidor keyserver.ubuntu.com
    gpg: agotado el tiempo de espera para el servidor de claves
    gpg: recepción del servidor de claves fallida: error del servidor de claves

    GRACIAS de antemano

    ResponderEliminar
    Respuestas
    1. No se porque puede ser, pero si es cierto que a veces el servidor parece dormido y al final da errores.
      A mi se me suele solucionar insistiendo

      Eliminar
    2. hola yo tengo eldebian 6.o.7 he introducido los dos repositorios al principio delsources-list con el # delante y luego actualizoy a la hora de instalar mesale que no existe e lpaquete de oracle 7.... Que hagoporfavor

      Eliminar
    3. Si pones # delante de un repositorio, no lo procesa.
      Para que lo utilice debes eliminar el #

      Eliminar
  19. Hola, tratando de seguir la guia se me quedo pegada la consola en este punto, hasta el momento tiene 40 minutos y no se si se va a quedar alli

    Conectando con download.oracle.com (download.oracle.com)[201.191.202.17]:80... conectado.
    Petición HTTP enviada, esperando respuesta... 302 Moved Temporarily
    Localización: https://edelivery.oracle.com/otn-pub/java/jdk/7u45-b18/jdk-7u45-linux-x64.tar.gz [siguiendo]
    --2013-11-07 13:43:51-- https://edelivery.oracle.com/otn-pub/java/jdk/7u45-b18/jdk-7u45-linux-x64.tar.gz
    Resolviendo edelivery.oracle.com (edelivery.oracle.com)... 23.37.86.140
    Conectando con edelivery.oracle.com (edelivery.oracle.com)[23.37.86.140]:443... conectado.
    Petición HTTP enviada, esperando respuesta... 302 Moved Temporarily
    Localización: http://download.oracle.com/otn-pub/java/jdk/7u45-b18/jdk-7u45-linux-x64.tar.gz?AuthParam=1383853066_6ac8ceaedf8c937331fe58c1bdf637f2 [siguiendo]
    --2013-11-07 13:43:52-- http://download.oracle.com/otn-pub/java/jdk/7u45-b18/jdk-7u45-linux-x64.tar.gz?AuthParam=1383853066_6ac8ceaedf8c937331fe58c1bdf637f2
    Conectando con download.oracle.com (download.oracle.com)[201.191.202.17]:80... conectado.
    Petición HTTP enviada, esperando respuesta... 200 OK
    Longitud: 138094686 (132M) [application/x-gzip]
    Grabando a: âjdk-7u45-linux-x64.tar.gzâ

    ResponderEliminar
  20. supér genial me dio un orgasmo este post

    ResponderEliminar
    Respuestas
    1. Jajaja
      Ahora soy escritor de literatura erotica.
      Me alego de que te gustara
      ;)

      Eliminar
  21. Gracias genio, funciona exelente. Te tendre en mente cuando haga mi testamento. ja ja ja

    ResponderEliminar
    Respuestas
    1. Jajaja
      Avísame cuando tengas hecho el testamento, para mandarte a mis secuaces a saludarte

      Eliminar
  22. buenas noches amigo cuando hago el ultimo paso de la instalación me sale esto que puedo hacer para solucionar el problema gracias

    Creando árbol de dependencias
    Leyendo la información de estado... Hecho
    E: No se ha podido localizar el paquete oracle-java7-installer

    ResponderEliminar
    Respuestas
    1. No encuentra el paquete. Actualiza con un aptitude update por si se habia quedado el sistema sin actualizar y por eso no lo encontraba

      Eliminar
  23. Vale amigo, me has solucionado un pequeño problema. Es bueno entrar a Debian.

    ResponderEliminar
    Respuestas
    1. Me alegro de haberte sido de utilidad

      Bienvenido a Debian

      Eliminar
  24. Me sirvió muchas gracias!

    ResponderEliminar
  25. gracias muchas gracias eres el mejor esto me sirvio se tardo un poco pero sirvio muchas gracias LIto523

    ResponderEliminar
    Respuestas
    1. Los servidores son leeeeeeennnntos y en ocasiones fallan, pero si, afortunadamente funcionar funciona

      Eliminar
  26. Hola Litos523,

    me da el siguiente error:

    gpg: solicitando clave EEA14886 de hkp servidor keyserver.ubuntu.com
    gpgkeys: key EEA14886 not found on keyserver
    gpg: no se han encontrados datos OpenPGP válidos
    gpg: Cantidad total procesada: 0

    sabes a que se debe?

    Muchas gracias por la aportación.

    Un saludo.

    ResponderEliminar
    Respuestas
    1. No tiene la clave de seguridad del servidor y por tanto no confia en el, prueba a obtenerla con

      sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys EEA14886

      Eliminar
  27. wheezy 64bits, funcionando sin problemas

    muchas gracias

    ResponderEliminar
  28. Muchas gracias, Estoy armando un servidor con Tomcat7 para un sistema que estoy haciendo y este paso es crucial. Me dista una buena mano.
    Un abrazo.

    ResponderEliminar
  29. Hola!!!!

    Como hago para des instalar las versiones anteriores de java que tengo instaladas, por más que busco como des instalar, no lo logro, siempre hay una version.

    En terminal aparece esto:
    java version "1.5.0"
    gij (GNU libgcj) version 4.7.2

    Copyright (C) 2007 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions. There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    y al querer instalar el java 7, me da error. Ayuda!!

    ResponderEliminar
    Respuestas
    1. ¿Has probado a desinstalar desde Synaptic o directamente instalar Java 8?

      Eliminar
  30. Hola Litos523,
    Seguimos tus pasos para instalar java, uso lubuntu en este momento y al parecer se había solucionado pero sigo con problemas para ver páginas como esta: http://www.cuaed.unam.mx/matematicas/index.html como presentaré un examen este año las ocupo, cuando voy a los ejercicios no permite la descarga y me lanza un aviso de que por razones de seguridad se ha bloqueado, puedes ayudarme? De antemano mil gracias y que tengas un excelente domingo!!

    ResponderEliminar
    Respuestas
    1. Java 7 ya esta viejuno, tal vez deberias pensar en instalar Java 8

      http://unbrutocondebian.blogspot.com.es/2014/03/instala-java-8-desde-repositorios-en-tu.html

      Eliminar
  31. Claro y sensillo muy bueno

    ResponderEliminar

prekes sodui